Subject: Re: bug#42961: 28.0.50; [feature/native-comp] slime load-path warning

From: Caio Henrique <[email-masked]>
Date: Fri, 28 Aug 2020 18:09:23 -0300

Hi,

I was unable to reproduce the bug without using straight.el, but I can
reproduce it without using use-package.

So after bootstraping straight.el with the recipe that I previously
posted and evaluating the expression: (straight-use-package 'slime),
there is an error. Here is the backtrace:

Debugger entered--Lisp error: (wrong-type-argument stringp nil)
  file-name-directory(nil)
  (or (file-name-directory nil) (car load-path))
  (directory-file-name (or (file-name-directory nil) (car load-path)))
  (add-to-list 'load-path (directory-file-name (or (file-name-directory nil) (car load-path))))
  straight--activate-package-autoloads((:type git :flavor melpa :files ("*.el" ("lib" "lib/hyperspec.el") "swank" "*.lisp" "*.asd" ("contrib" "contrib/*") (:exclude "contrib/test" "contrib/Makefile") "doc/slime.texi" "doc/slime.info" "doc/dir" "ChangeLog" "slime-pkg.el") :host github :repo "slime/slime" :package "slime" :local-repo "slime"))
  #f(compiled-function () #<bytecode 0xe3b8013d73a6767>)()
  straight--transaction-exec(use-package-\(:type\ git\ :flavor\ melpa\ :files\ \(\"*\.el\"\ \(\"lib\"\ \"lib/hyperspec\.el\"\)\ \"swank\"\ \"*\.lisp\"\ \"*\.asd\"\ \(\"contrib\"\ \"contrib/*\"\)\ \(:exclude\ \"contrib/test\"\ \"contrib/Makefile\"\)\ \"doc/slime\.texi\"\ \"doc/slime\.info\"\ \"doc/dir\"\ \"ChangeLog\"\ \"slime-pkg\.el\"\)\ :host\ github\ :repo\ \"slime/slime\"\ :package\ \"slime\"\ :local-repo\ \"slime\"\)-nil-nil :now #f(compiled-function () #<bytecode 0xe3b8013d73a6767>))
  straight-use-package(slime)
  (progn (defvar bootstrap-version) (straight-use-package 'slime))
  elisp--eval-last-sexp(nil)
  eval-last-sexp(nil)
  funcall-interactively(eval-last-sexp nil)
  command-execute(eval-last-sexp)

Cordially,
Caio Henrique